http://runtime.lex.{region}.amazonaws.com/bot/{botName}/alias/{botAlias}/user/{userId}/session/Returns session information for a specified bot, alias, and user ID.
The name of the bot that contains the session data.
The alias in use for the bot that contains the session data.
The ID of the client application user. Amazon Lex uses this to identify a user's conversation with your bot.
<p>A string used to filter the intents returned in the <code>recentIntentSummaryView</code> structure. </p> <p>When you specify a filter, only intents with their <code>checkpointLabel</code> field set to that string are returned.</p>
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://runtime.lex.{region}.amazonaws.com/bot/{botName}/alias/{botAlias}/user/{userId}/session/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://runtime.lex.{region}.amazonaws.com/bot/{botName}/alias/{botAlias}/user/{userId}/session/Returns session information for a specified bot, alias, and user ID.
The name of the bot that contains the session data.
The alias in use for the bot that contains the session data.
The ID of the client application user. Amazon Lex uses this to identify a user's conversation with your bot.
<p>A string used to filter the intents returned in the <code>recentIntentSummaryView</code> structure. </p> <p>When you specify a filter, only intents with their <code>checkpointLabel</code> field set to that string are returned.</p>
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://runtime.lex.{region}.amazonaws.com/bot/{botName}/alias/{botAlias}/user/{userId}/session/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}